# Increment the Serial: below for every new release

Summary:   A GUI program for burning CDs
Name:      xcdroast
Version:   0.96e
Release:   5
Serial:    200002041
Source:    http://www.fh-muenchen.de/rz/xcdroast/src/%{name}-%{version}.tar.gz
URL:       http://www.fh-muenchen.de/rz/xcdroast/
Patch1:	   xcdroast.progbar.patch	
Patch2:	   xcdroast-1AB.patch
Patch3:    xcdroast-0.96e-jp-configure.patch
Copyright: GPL
Group:     X11/Applications
BuildRoot: /var/tmp/%{name}

%description
Frontend for CD mastering programs.

Features:
     Self-explanitory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs and some non-ISO9660-CDs
     Production of new ISO9660 data CDs ("mastering") 
     Production of new audio CDs 
     Fast copying of CDs without hardisk buffering 
     Logfile option 

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .jp

%build
./configure --prefixdir /usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
#make PREFIX=$RPM_BUILD_ROOT/usr/X11R6 install
make install
chmod +s $RPM_BUILD_ROOT/usr/X11R6/bin/xcdroast
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s  ../X11R6/lib/xcdroast-0.96e/bin/cdrecord-1.6.1 $RPM_BUILD_ROOT/usr/bin/cdrecord

%post
mknod /dev/sg0 c 21 0 -m 600 2>/dev/null
mknod /dev/sga c 21 0 -m 600 2>/dev/null
mknod /dev/sg1 c 21 1 -m 600 2>/dev/null
mknod /dev/sgb c 21 1 -m 600 2>/dev/null
mknod /dev/sg2 c 21 2 -m 600 2>/dev/null
mknod /dev/sgc c 21 2 -m 600 2>/dev/null
mknod /dev/sg3 c 21 3 -m 600 2>/dev/null
mknod /dev/sgd c 21 3 -m 600 2>/dev/null
mknod /dev/sg4 c 21 4 -m 600 2>/dev/null
mknod /dev/sge c 21 4 -m 600 2>/dev/null
mknod /dev/sg5 c 21 5 -m 600 2>/dev/null
mknod /dev/sgf c 21 5 -m 600 2>/dev/null
mknod /dev/sg6 c 21 6 -m 600 2>/dev/null
mknod /dev/sgg c 21 6 -m 600 2>/dev/null
mknod /dev/sg7 c 21 7 -m 600 2>/dev/null
mknod /dev/sgh c 21 7 -m 600 2>/dev/null
mknod /dev/sg8 c 21 8 -m 600 2>/dev/null
mknod /dev/sgi c 21 8 -m 600 2>/dev/null
mknod /dev/sg9 c 21 9 -m 600 2>/dev/null
mknod /dev/sgj c 21 9 -m 600 2>/dev/null
mknod /dev/sg10 c 21 10 -m 600 2>/dev/null
mknod /dev/sgk c 21 10 -m 600 2>/dev/null
mknod /dev/sg11 c 21 11 -m 600 2>/dev/null
mknod /dev/sgl c 21 11 -m 600 2>/dev/null
mknod /dev/sg12 c 21 12 -m 600 2>/dev/null
mknod /dev/sgm c 21 12 -m 600 2>/dev/null
mknod /dev/sg13 c 21 13 -m 600 2>/dev/null
mknod /dev/sgn c 21 13 -m 600 2>/dev/null
mknod /dev/sg14 c 21 14 -m 600 2>/dev/null
mknod /dev/sgo c 21 14 -m 600 2>/dev/null
mknod /dev/sg15 c 21 15 -m 600 2>/dev/null
mknod /dev/sgp c 21 15 -m 600 2>/dev/null
mknod /dev/sg16 c 21 16 -m 600 2>/dev/null
mknod /dev/sgq c 21 16 -m 600 2>/dev/null
mknod /dev/sr0 b 11 0 -m 640 2>/dev/null
mknod /dev/sr1 b 11 1 -m 640 2>/dev/null
mknod /dev/sr2 b 11 2 -m 640 2>/dev/null
mknod /dev/sr3 b 11 3 -m 640 2>/dev/null
mknod /dev/sr4 b 11 4 -m 640 2>/dev/null
mknod /dev/sr5 b 11 5 -m 640 2>/dev/null
mknod /dev/sr6 b 11 6 -m 640 2>/dev/null
mknod /dev/sr7 b 11 7 -m 640 2>/dev/null
mknod /dev/sr8 b 11 8 -m 640 2>/dev/null
mknod /dev/sr9 b 11 9 -m 640 2>/dev/null
mknod /dev/sr10 b 11 10 -m 640 2>/dev/null
mknod /dev/sr11 b 11 11 -m 640 2>/dev/null
mknod /dev/sr12 b 11 12 -m 640 2>/dev/null
mknod /dev/sr13 b 11 13 -m 640 2>/dev/null
mknod /dev/sr14 b 11 14 -m 640 2>/dev/null
mknod /dev/sr15 b 11 15 -m 640 2>/dev/null
echo ""

%clean
rm -rf $RPM_BUILD_ROOT

%files
#/usr/bin/cdrecord
/usr/X11R6/bin/xcdroast
/usr/X11R6/man/man1/xcdroast.1
/usr/X11R6/lib/xcdroast-0.96e
%doc COPYING Changes README.ATAPI README.cdparanoia README.html README.nonroot

%changelog
* Fri Feb 4 2000 Go Taniguchi <go@turbolinux.co.jp>
- add patch, build with tcl/tk japanese version
